<script setup lang="ts">
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';
import { Head } from '@inertiajs/vue3';
</script>

<template>

    <Head title="Dashboard" />

    <AuthenticatedLayout>
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">Dashboard</h2>
        </template>

        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white max-w-xl mx-auto">

                    <div class="group relative p-4 flex flex-col col-span-3 bg-red-100 rounded-lg border border-red-200 hover:border-red-300 hover:scale-105 duration-100 ease-linear transition-all">
                        <div class="flex justify-center">
                            <div class="bg-red-500/20 px-4 py-2 rounded-lg">
                                <h3 class="text-center font-bold text-xl font-roboto">
                                    Laravel Pulse
                                </h3>
                            </div>
                        </div>

                        <div class="text-center mt-6 h-full">
                            <h2 class="text-2xl font-semibold text-red-800 font-roboto_slab">
                                Dashboard
                            </h2>

                            <p class="mt-2 text-red-700 text-sm leading-relaxed">
                                Larvel pulse je aplikce pro sledování výkonu jako je rychlost, paměť, vytížení procesoru a další.
                            </p>
                        </div>

                        <div
                            class="flex justify-center mt-5 py-2 group-hover:bg-red-500/20 duration-100 ease-linear transition-all rounded-md">
                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                                stroke="currentColor" class="stroke-red-500 size-8">
                                <path stroke-linecap="round" stroke-linejoin="round"
                                    d="M13.5 4.5 21 12m0 0-7.5 7.5M21 12H3" />
                            </svg>
                        </div>

                        <a
                            :href="route('pulse')"
                            class="absolute inset-0"
                        />
                    </div>
                </div>
            </div>
        </div>
    </AuthenticatedLayout>
</template>
